class MazdaAuthenticationException(Exception):
    """Raised when email address or password are invalid during authentication"""

    def __init__(self, status):
        """Initialize exception"""
        super(MazdaAuthenticationException, self).__init__(status)
        self.status = status

class MazdaAccountLockedException(Exception):
    """Raised when account is locked from too many login attempts"""

    def __init__(self, status):
        """Initialize exception"""
        super(MazdaAccountLockedException, self).__init__(status)
        self.status = status

class MazdaTokenExpiredException(Exception):
    """Raised when server reports that the access token has expired"""
    
    def __init__(self, status):
        """Initialize exception"""
        super(MazdaTokenExpiredException, self).__init__(status)
        self.status = status

class MazdaAPIEncryptionException(Exception):
    """Raised when server reports that the request is not encrypted properly"""
    
    def __init__(self, status):
        """Initialize exception"""
        super(MazdaAPIEncryptionException, self).__init__(status)
        self.status = status

class MazdaException(Exception):
    """Raised when an unknown error occurs during API interaction"""

    def __init__(self, status):
        """Initialize exception"""
        super(MazdaException, self).__init__(status)
        self.status = status